/* RESET */

a,
abbr,
acronym,
address,
applet,
article,
aside,
audio,
b,

big,
blockquote,
body,
canvas,
caption,
center,
cite,
code,
dd,
del,
details,
dfn,
div,
dl,
dt,
em,
embed,
fieldset,
figcaption,
figure,
footer,
form,
h1,
h2,
h3,
h4,
h5,
h6,
header,
hgroup,
html,
i,
iframe,
img,
ins,
kbd,
label,
legend,
li,
mark,
menu,
nav,
object,
ol,
output,
p,
pre,
q,
ruby,
s,
samp,
section,
small,
span,
strike,
strong,
sub,
summary,
sup,
table,
tbody,
td,
tfoot,
th,
thead,
time,
tr,
tt,
u,
ul,
var,
video {
	margin: 0;
	padding: 0;
	border: 0;
	font: inherit;
	vertical-align: baseline
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
	display: block;
}

body {
	line-height: 1;
}

ol,
ul {
	list-style: none;
}

blockquote,
q {
	quotes: none;
}

blockquote:after,
blockquote:before,
q:after,
q:before {
	content: '';
	content: none;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}


/* === FUENTES === */

@font-face {
    font-family: 'Roboto Regular';
    font-style: normal;
    font-weight: 400;
    src: url("https://e00.uecdn.es/fonts/roboto/Roboto-Regular.woff2") format("woff2"), url("https://e00.uecdn.es/fonts/roboto/Roboto-Regular.woff") format("woff");
  }

@font-face {
    font-family: 'Roboto Bold';
    font-style: normal;
    font-weight: 700;
    src: url("https://e00.uecdn.es/fonts/roboto/Roboto-Bold.woff2") format("woff2"), url("https://e00.uecdn.es/fonts/roboto/Roboto-Bold.woff") format("woff");
  }

@font-face {
    font-family: 'Roboto Light';
    font-style: normal;
    font-weight: 100;
    src: url("https://e00-elmundo.uecdn.es/fonts/roboto/Roboto-Light.woff2") format("woff2"), url("https://e00-elmundo.uecdn.es/fonts/roboto/Roboto-Light.woff") format("woff");
  }

@font-face {
    font-family: 'Roboto_condensed Regular';
    font-style: normal;
    font-weight: 400;
    src: url("https://e00.uecdn.es/fonts/roboto/RobotoCondensed-Regular.woff2") format("woff2"), url("https://e00.uecdn.es/fonts/roboto/RobotoCondensed-Regular.woff") format("woff");
  }

@font-face {
    font-family: 'Roboto_condensed Bold';
    font-style: normal;
    font-weight: 700;
    src: url("https://e00.uecdn.es/fonts/roboto/RobotoCondensed-Bold.woff2") format("woff2"), url("https://e00.uecdn.es/fonts/roboto/RobotoCondensed-Bold.woff") format("woff");
  }

@font-face {
    font-family: 'Roboto_Mono Bold';
    font-style: normal;
    font-weight: 900;
    src: url("https://e00.uecdn.es/fonts/Roboto_Mono/RobotoMono-Bold.woff2") format("woff2"), url("https://e00.uecdn.es/fonts/Roboto_Mono/RobotoMono-Bold.woff") format("woff");
  }

@font-face {
    font-family: 'Roboto_Mono Light';
    font-style: normal;
    font-weight: 200;
    src: url("https://e00.uecdn.es/fonts/Roboto_Mono/RobotoMono-Light.woff2") format("woff2"), url("https://e00.uecdn.es/fonts/Roboto_Mono/RobotoMono-Light.woff") format("woff");
  }

@font-face {
    font-family: 'Rubik Black';
    font-style: normal;
    font-weight: 900;
    src: url("https://e00.uecdn.es/fonts/Rubik/Rubik-Black.woff2") format("woff2"), url("https://e00.uecdn.es/fonts/Rubik/Rubik-Black.woff") format("woff");
  }

@font-face {
    font-family: 'PT_serif';
    font-style:normal;
    font-weight:400;
    src:url("https://e00.uecdn.es/fonts/PTSerifWeb/pt_serif-web-regular-webfont.woff2") format("woff2"),url("https://e00.uecdn.es/fonts/PTSerifWeb/pt_serif-web-regular-webfont.woff") format("woff");
  }

@font-face {
    font-family: 'PT_serif italic';
    font-style:italic;
    font-weight:400;
    src:url("https://e00.uecdn.es/fonts/PTSerifWeb/pt_serif-web-italic-webfont.woff2") format("woff2"),url("https://e00.uecdn.es/fonts/PTSerifWeb/pt_serif-web-italic-webfont.woff") format("woff");
  }

@font-face {
    font-family:'PT_serif bold';
    font-style:normal;
    font-weight:700;
    src:url("https://e00.uecdn.es/fonts/PTSerifWeb/pt_serif-web-bold-webfont.woff2") format("woff2"),url("https://e00.uecdn.es/fonts/PTSerifWeb/pt_serif-web-bold-webfont.woff") format("woff");
  }

@font-face {
    font-family:'PT_serif bold italic';
    font-style:italic;
    font-weight:700;
    src:url("https://e00.uecdn.es/fonts/PTSerifWeb/pt_serif-web-bolditalic-webfont.woff2") format("woff2"),url("https://e00.uecdn.es/fonts/PTSerifWeb/pt_serif-web-bolditalic-webfont.woff") format("woff");
  }


/* === GENERAL === */

section {
  display: block;
}

h1 {
  font-family: 'Rubik Black';
  font-size: 29px;
  text-align: center;
}

h2 {
  font-family: 'Rubik Black';
  font-size: 18px;
  line-height: 19px;
  text-align: center;
}

h3 {
  font-family: 'Roboto_condensed Bold';
  font-size: 18px;
  line-height: 21px;
}

.cabecera, .cabecerapq {
  position:relative;
  text-align: center;
}

.entradilla {
  font-family: 'PT_serif';
  font-size: 21px;
  text-align: center;
  line-height: 26px;
}

.destgr {
  font-family: 'PT_serif bold';
  font-size: 21px;
}

.entradillapq {
  font-family: 'Roboto_condensed Regular';
  font-size: 14px;
  line-height: 16px;
  text-align: center;
}

/* === REPRODUCTOR AUDIO === */
/* Estilos base */
.player {
  position: relative;
  text-align: center;
  background-color: #5f9cc6;
  padding: 5px;
  font-family: 'Roboto_condensed Regular';
  font-size: 14px;
}

.details {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  margin-top: 25px;
}

.track-art {
  margin: 10px;
  background-image: URL(
     "https://source.unsplash.com/Qrspubmx6kE/640x360");
  background-size: cover;
  background-position: center;
  border-radius: 15%;
}

/* Cambiar el tamaño de las fuentes */
.now-playing {
  font-size: 1rem;
}

.track-name {
  font-size: 1.5rem;
  line-height: 1.8rem;
}

.track-description {
  font-size: 1rem;
}

/* Botones */
.buttons {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.playpause-track,
.prev-track,
.next-track {
  padding: 25px;
  opacity: 0.8; */
  /* Transición suavizada de la opacidad */
  transition: opacity .2s;
}

.material-symbols-outlined {
  font-family: 'Material Symbols Outlined';
  font-weight: normal;
  font-style: normal;
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
}

.step-backward,
.step-forward {
  font-size: 30px;
}

.play-circle,
.pause-circle {
	font-size: 70px;
}

/* Cambiar la opacidad cuando el cursor pasa por encima */
.playpause-track:hover,
.prev-track:hover,
.next-track:hover {
  opacity: 1.0;
}

/* Definir el ancho del slider para que sea proporcional */
.slider_container {
  width: 75%;
  max-width: 335px;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Modificar la apariencia del slider */
.seek_slider, .volume_slider {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  height: 5px;
  background: black;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}

/* Modificar la apariencia del deslizador */
.seek_slider::-webkit-slider-thumb,
.volume_slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 15px;
  height: 15px;
  background: white;
  cursor: pointer;
  border-radius: 50%;
}

/* Cambiar la apariencia cuando el cursor pasa por encima */
.seek_slider:hover,
.volume_slider:hover {
  opacity: 1.0;
}

.seek_slider {
  width: 60%;
}

.volume_slider {
  width: 30%;
}

.current-time,
.total-duration {
  padding: 10px;
}

i.volume-down,
i.volume-up {
  padding: 10px;
}

/* Cambiar el cursor */
i.play-circle,
i.pause-circle,
i.step-forward,
i.step-backward {
  cursor: pointer;
}




/* === GALERÍA VIDEOS REEL === */
/* Estilos base */
.galeria {
  height: 500px;
	display: flex;
	align-items: center;
	justify-content: center;
  text-align: center;
  padding: 5px;
  font-family: 'Roboto_condensed Regular';
  font-size: 14px;
}

.app__videos{
  position:relative;
  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: center;
  overflow: scroll;
  width: 90%;
  max-width: 989px;
}

.app__videos::-webkit-scrollbar {
  display: none;
}

.app__videos {
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.videow {
  position: relative;
  width: 250px;
  height: 450px;
  margin: 10px;
	cursor: pointer;
}

.video__player {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.vidanterior,
.vidsiguiente {
  font-size: 30px;
}

.vidanteriorb,
.vidsiguienteb {
  font-size: 30px;
	opacity: 0.3;
}

/* Cambiar la opacidad cuando el cursor pasa por encima */
.vidanterior:hover,
.vidsiguiente:hover {
  opacity: 0.7;
}

/* Cambiar el cursor */
i.vidanterior,
i.vidsiguiente {
  cursor: pointer;
}

.hidden {
	display: none;
}


/* === GALERÍA YOUTUBE === */
.vidyt {
	font-family: 'Roboto_condensed Regular';
  font-size: 14px;
}

.galeria_yt {
	display: flex;
	align-items: center;
	justify-content: center;
  text-align: center;
  padding: 5px;
}

.videoppal {
	position: relative;
	justify-content: center;
}

.yt_pie {
	background-color: white;
	width: 80%;
	height: 35px;
	position: relative;
	margin: auto;
	text-align: left;
}

.ytmenu {
	position:relative;
  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: center;
  overflow: hidden;
  width: 100%;
  max-width: 989px;
}

.btnvid {
	cursor: pointer;
}

.btnvid:hover {
	opacity: 0.8;
}


/* === RESPONSIVE === */
@media screen and (min-width:360px){
  .cabecera {
    width:335px;
    left:15px;
  }

  .cabecerapq {
    width:283px;
    left:37px;
  }

  .player {
    width:325px;
    left:12px;
    height: 314px;
  }

  .slider_container {
    margin-left: 40px;
  }

  .buttons {
    margin-left: 27px;
  }

  .track-art {
    height: 250px;
    width: 250px;
  }

	#vid {
		width: 335px;
		height: 188.44px;
	}

	.btnvid {
		height: 128px;
		width: 61px;
		margin: 2px;
	}

	#bvid1 {
		background-image: url("https://e00-elmundo.uecdn.es/elmundo/2022/graficos/sep/s4/gfasmr/img/m_dormitorio.jpg");
	}

	#bvid2 {
		background-image: url("https://e00-elmundo.uecdn.es/elmundo/2022/graficos/sep/s4/gfasmr/img/m_pintar.jpg");
	}

	#bvid3 {
		background-image: url("https://e00-elmundo.uecdn.es/elmundo/2022/graficos/sep/s4/gfasmr/img/m_mapa.jpg");
	}

	#bvid4 {
		background-image: url("https://e00-elmundo.uecdn.es/elmundo/2022/graficos/sep/s4/gfasmr/img/m_tarta.jpg");
	}

	#bvid5 {
		background-image: url("https://e00-elmundo.uecdn.es/elmundo/2022/graficos/sep/s4/gfasmr/img/m_restaurar.jpg");
	}
}

@media screen and (max-width:600px){
	#galeriaesc {
		display: none;
	}
}

@media screen and (min-width:900px){
  .cabecera {
    width: 470px;
    left: 165px;
  }

  .cabecerapq {
    width: 283px;
    left: 260px;
  }

  .player {
    width: 450px;
    left: 170px;
    height: 347px;
  }

  .slider_container {
    margin-left: 55px;
  }

  .buttons {
    margin-left: 90px;
  }

  .track-art {
    height: 350px;
    width: 350px;
  }

	#galeriamvl {
		display: none;
	}

	#vid {
		width: 800px;
		height: 450px;
	}

	.btnvid {
		height: 89px;
		width: 158px;
		margin: 2px;
	}

	#bvid1 {
		background-image: url("https://e00-elmundo.uecdn.es/elmundo/2022/graficos/sep/s4/gfasmr/img/e_dormitorio.jpg");
	}

	#bvid2 {
		background-image: url("https://e00-elmundo.uecdn.es/elmundo/2022/graficos/sep/s4/gfasmr/img/e_pintar.jpg");
	}

	#bvid3 {
		background-image: url("https://e00-elmundo.uecdn.es/elmundo/2022/graficos/sep/s4/gfasmr/img/e_mapa.jpg");
	}

	#bvid4 {
		background-image: url("https://e00-elmundo.uecdn.es/elmundo/2022/graficos/sep/s4/gfasmr/img/e_tarta.jpg");
	}

	#bvid5 {
		background-image: url("https://e00-elmundo.uecdn.es/elmundo/2022/graficos/sep/s4/gfasmr/img/e_restaurar.jpg");
	}
}
